## org.apache.batik.css.engine.value.svg
Class SVGPaintManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.AbstractColorManager
                      org.apache.batik.css.engine.value.svg.ColorManager
                          org.apache.batik.css.engine.value.svg.SVGColorManager
                              org.apache.batik.css.engine.value.svg.SVGPaintManager

All Implemented Interfaces:
  ValueManager

public class SVGPaintManager
extends SVGColorManager

This class provides a manager for the SVGPaint property values.

Field Summary

Fields inherited from class org.apache.batik.css.engine.value.svg.SVGColorManager
`defaultValue, property`

Fields inherited from class org.apache.batik.css.engine.value.svg.ColorManager
`DEFAULT_VALUE`

Fields inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`computedValues, values`

Constructor Summary
`SVGPaintManager(java.lang.String prop)` Creates a new SVGPaintManager.
`SVGPaintManager(java.lang.String prop, Value v)` Creates a new SVGPaintManager.

Method Summary
`Value` `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.
`boolean` `isInheritedProperty()` Implements `ValueManager#isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.svg.SVGColorManager
`getColorValue, getDefaultValue, getPropertyName`

Methods inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`createColorComponent, createRGBColor, getIdentifiers`

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGPaintManager

    public SVGPaintManager(java.lang.String prop)

  Creates a new SVGPaintManager.

### SVGPaintManager

    public SVGPaintManager(java.lang.String prop,
                           Value v)

  Creates a new SVGPaintManager.

Parameters:
  `prop` - The property name.

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager#isInheritedProperty()`.

  Specified by:
    `isInheritedProperty` in interface `ValueManager`
  Overrides:
    `isInheritedProperty` in class `SVGColorManager`

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `SVGColorManager`
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `SVGColorManager`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.